Batch ingestion
curl --request POST \
--url https://api.hacktionbase.com/v1/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"users": [
{
"externalId": "user_123",
"email": "jsmith@example.com",
"anonymousId": "<string>",
"attributes": {}
}
],
"accounts": [
{
"externalId": "org_456",
"name": "<string>",
"plans": [
{
"key": "pro",
"label": "Pro Monthly",
"price": 1,
"currency": "USD"
}
],
"attributes": {}
}
],
"events": [
{
"event": "project_created",
"userExternalId": "<string>",
"accountExternalId": "<string>",
"anonymousId": "<string>",
"properties": {},
"timestamp": 123
}
]
}
'import requests
url = "https://api.hacktionbase.com/v1/batch"
payload = {
"users": [
{
"externalId": "user_123",
"email": "jsmith@example.com",
"anonymousId": "<string>",
"attributes": {}
}
],
"accounts": [
{
"externalId": "org_456",
"name": "<string>",
"plans": [
{
"key": "pro",
"label": "Pro Monthly",
"price": 1,
"currency": "USD"
}
],
"attributes": {}
}
],
"events": [
{
"event": "project_created",
"userExternalId": "<string>",
"accountExternalId": "<string>",
"anonymousId": "<string>",
"properties": {},
"timestamp": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
users: [
{
externalId: 'user_123',
email: 'jsmith@example.com',
anonymousId: '<string>',
attributes: {}
}
],
accounts: [
{
externalId: 'org_456',
name: '<string>',
plans: [{key: 'pro', label: 'Pro Monthly', price: 1, currency: 'USD'}],
attributes: {}
}
],
events: [
{
event: 'project_created',
userExternalId: '<string>',
accountExternalId: '<string>',
anonymousId: '<string>',
properties: {},
timestamp: 123
}
]
})
};
fetch('https://api.hacktionbase.com/v1/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoints
Batch Ingestion
POST
/
batch
Batch ingestion
⌘I

